Package Details: candy-gtk-theme 0.3-2

Git Clone URL: https://aur.archlinux.org/candy-gtk-theme.git (read-only, click to copy)
Package Base: candy-gtk-theme
Description: A flat style gtk&gnome-shell theme.Based on flat-plat and adapta
Upstream URL: https://github.com/levinit/candy-gtk-theme
Keywords: candy gnome-theme gtk-theme shell-theme theme
Licenses: GPL3
Submitter: levinit
Maintainer: levinit
Last Packager: levinit
Votes: 3
Popularity: 0.078681
First Submitted: 2017-07-18 14:35 (UTC)
Last Updated: 2022-04-13 12:37 (UTC)

Latest Comments

levinit commented on 2022-04-13 12:40 (UTC) (edited on 2022-04-13 12:40 (UTC) by levinit)

upate , although this is a project that hasn't been updated or maintained for a long time... :) @marmis

marmis commented on 2022-04-13 08:55 (UTC) (edited on 2022-04-13 09:02 (UTC) by marmis)

Repo can't be clone after GitHub update. Makepkg just results in an error:

==> Making package: candy-gtk-theme 0.3-2 (qua 13 abr 2022 05:48:43)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Cloning candy-gtk-theme git repo...
Cloning into bare repository '/home/marmis/Documents/candy-gtk-theme/candy-gtk-theme'...
fatal: remote error: 
  The unauthenticated git protocol on port 9418 is no longer supported.
Please see https://github.blog/2021-09-01-improving-git-protocol-security-github/ for more information.
==> ERROR: Failure while downloading candy-gtk-theme git repo
    Aborting...

The following patch should solve the issue, I believe:

diff --git a/PKGBUILD b/PKGBUILD
index 0e498fd..0277793 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,7 +9,7 @@ url="https://github.com/levinit/candy-gtk-theme"
 license=('GPL3')

 makedepends=('git')
-source=("git://github.com/levinit/candy-gtk-theme")
+source=("git+https://github.com/levinit/candy-gtk-theme.git")
 sha512sums=('SKIP')

 package() {